﻿using DevExpress.Data;
using DevExpress.XtraEditors;
using DevExpress.XtraPivotGrid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.tableAdapter.Fill(this.nwindDataSet.SalesPerson);

            this.pivotGridControl.OptionsData.DataFieldUnboundExpressionMode = DataFieldUnboundExpressionMode.UseSummaryValues;

            PivotGridField statusField = this.pivotGridControl.Fields.Add("Status", PivotArea.DataArea);

            statusField.UnboundType       = UnboundColumnType.Integer;
            statusField.UnboundExpression = string.Format
            (
                "(Iif([{0}] < 100000, -1, Iif([{0}] < 150000, 0, 1)))",
                extendedPriceField.ExpressionFieldName
            );
            statusField.AllowedAreas      = PivotGridAllowedAreas.DataArea;
            statusField.KPIGraphic        = PivotKPIGraphic.Faces;
        }

        #endregion
    }
}